Create a new Address
curl --request POST \
--url https://commerce.driv.ly/api/addresses \
--header 'Content-Type: application/json' \
--data '
{
"id": "adr_2kj49d1msod2",
"zip": "62704",
"city": {
"name": "Springfield",
"state": {
"code": "IL"
}
},
"line2": "Apt 201",
"line1": "456 Elm Street"
}
'import requests
url = "https://commerce.driv.ly/api/addresses"
payload = {
"id": "adr_2kj49d1msod2",
"zip": "62704",
"city": {
"name": "Springfield",
"state": { "code": "IL" }
},
"line2": "Apt 201",
"line1": "456 Elm Street"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'adr_2kj49d1msod2',
zip: '62704',
city: {name: 'Springfield', state: {code: 'IL'}},
line2: 'Apt 201',
line1: '456 Elm Street'
})
};
fetch('https://commerce.driv.ly/api/addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "adr_2kj49d1msod2",
"zip": "62704",
"city": {
"name": "Springfield",
"state": {
"code": "IL"
}
},
"line2": "Apt 201",
"line1": "456 Elm Street"
},
"success": true
}{
"error": {
"code": 400,
"message": "Missing Required Information"
},
"success": false
}{
"error": {
"code": 401,
"message": "Unauthorized"
},
"success": false
}{
"error": {
"code": 429,
"message": "Too Many Requests"
},
"success": false
}Locations
Create a new Address
POST
/
addresses
Create a new Address
Query Parameters
The number of levels of related objects to include in the response
Body
application/json